org.richfaces.component.html

## Class HtmlInputNumberSlider

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIInputNumber
          - - org.richfaces.component.AbstractInputNumberSlider
            - - org.richfaces.component.html.HtmlInputNumberSlider

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AccesskeyProps, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, FocusProps, I18nProps, InputProps

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class HtmlInputNumberSlider
      extends AbstractInputNumberSlider
      implements javax.faces.component.behavior.ClientBehaviorHolder, AccesskeyProps, CoreProps, EventsKeyProps, EventsMouseProps, FocusProps, I18nProps, InputProps

  The &lt;r:inputNumberSlider&gt; component provides a slider for changing numerical values. Optional features include control arrows to step through the values, a tool-tip to display the value while sliding, and a text field for typing the numerical value which can then be validated against the slider's range.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `HtmlInputNumberSlider.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlInputNumberSlider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccesskey()` Access key that, when pressed, transfers focus to this element.
    `String` | `getDecreaseClass()` Assigns one or more space-separated CSS class names to the decrease arrow element
    `String` | `getDecreaseSelectedClass()` Assigns one or more space-separated CSS class names to the decrease arrow element selected
    `String` | `getDefaultEventName()`
    `int` | `getDelay()` Delay in pressed increase/decrease arrows in miliseconds.
    `String` | `getDir()` Direction indication for text that does not inherit directionality.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getHandleClass()` Assigns one or more space-separated CSS class names to the handle element
    `String` | `getHandleSelectedClass()` Assigns one or more space-separated CSS class names to the handle element selected
    `InputNumberSliderHandleType` | `getHandleType()` Tells how handle should look like.
    `String` | `getIncreaseClass()` Assigns one or more space-separated CSS class names to the increase arrow element
    `String` | `getIncreaseSelectedClass()` Assigns one or more space-separated CSS class names to the increase arrow element selected
    `String` | `getInputClass()` Assigns one or more space-separated CSS class names to the component input field
    `InputNumberSliderInputPosition` | `getInputPosition()` If "right", the InputText Box would be rendered on the right side of the ruler.
    `int` | `getInputSize()` Similar to the "Size" attribute of h:inputText.
    `String` | `getLabel()` A localized user presentable name for this component.
    `String` | `getLang()` Code describing the language used in the generated markup for this component.
    `Integer` | `getMaxlength()` Specifies the maximum number of digits that could be entered into the input field.
    `String` | `getMaxValue()` Attribute to set an "end" value.
    `String` | `getMinValue()` Attribute to set the "start" value.
    `String` | `getOnblur()` Javascript code executed when this element loses focus.
    `String` | `getOnchange()` Javascript code executed when this element loses focus and its value has been modified since gaining focus.
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnfocus()` Javascript code executed when this element receives focus.
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getOnselect()` Javascript code executed when text within this element is selected by the user.
    `String` | `getStep()` Parameter that determines a step between the nearest values while using a handle.
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTabindex()` Position of this element in the tabbing order for the current document.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `String` | `getTooltipClass()` Assigns one or more space-separated CSS class names to the tooltip element of the handle
    `String` | `getTrackClass()` Assigns one or more space-separated CSS class names to the track slider element
    `boolean` | `isDisabled()` Flag indicating that this element must never receive focus or be included in a subsequent submit.
    `boolean` | `isEnableManualInput()` If set to "false" this attribute makes the text field "read-only", so the value can be changed only from a handle.
    `boolean` | `isReadonly()` Flag indicating that this component will prohibit changes by the user.
    `boolean` | `isShowArrows()` False value for this attribute makes increase/decrease arrows invisible.
    `boolean` | `isShowBoundaryValues()` If the min/max values are shown on the right/left borders of a control.
    `boolean` | `isShowInput()` False value for this attribute makes text a field invisible.
    `boolean` | `isShowTooltip()` If "true"the current value is shown in the tooltip when a handle control is in a "dragged" state.
    `void` | `setAccesskey(String accesskey)`
    `void` | `setDecreaseClass(String decreaseClass)`
    `void` | `setDecreaseSelectedClass(String decreaseSelectedClass)`
    `void` | `setDelay(int delay)`
    `void` | `setDir(String dir)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setEnableManualInput(boolean enableManualInput)`
    `void` | `setHandleClass(String handleClass)`
    `void` | `setHandleSelectedClass(String handleSelectedClass)`
    `void` | `setHandleType(InputNumberSliderHandleType handleType)`
    `void` | `setIncreaseClass(String increaseClass)`
    `void` | `setIncreaseSelectedClass(String increaseSelectedClass)`
    `void` | `setInputClass(String inputClass)`
    `void` | `setInputPosition(InputNumberSliderInputPosition inputPosition)`
    `void` | `setInputSize(int inputSize)`
    `void` | `setLabel(String label)`
    `void` | `setLang(String lang)`
    `void` | `setMaxlength(Integer maxlength)`
    `void` | `setMaxValue(String maxValue)`
    `void` | `setMinValue(String minValue)`
    `void` | `setOnblur(String onblur)`
    `void` | `setOnchange(String onchange)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnfocus(String onfocus)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnselect(String onselect)`
    `void` | `setReadonly(boolean readonly)`
    `void` | `setShowArrows(boolean showArrows)`
    `void` | `setShowBoundaryValues(boolean showBoundaryValues)`
    `void` | `setShowInput(boolean showInput)`
    `void` | `setShowTooltip(boolean showTooltip)`
    `void` | `setStep(String step)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTabindex(String tabindex)`
    `void` | `setTitle(String title)`
    `void` | `setTooltipClass(String tooltipClass)`
    `void` | `setTrackClass(String trackClass)`

    - ### Methods inherited from class org.richfaces.component.UIInputNumber

      `validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, broadcast, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlInputNumberSlider

          public HtmlInputNumberSlider()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getAccesskey

          public String getAccesskey()

      Description copied from interface: `AccesskeyProps`
      Access key that, when pressed, transfers focus to this element.
      Specified by:
        `getAccesskey` in interface `AccesskeyProps`

    - #### setAccesskey

          public void setAccesskey(String accesskey)

    - #### getDecreaseClass

          public String getDecreaseClass()

      Description copied from class: `AbstractInputNumberSlider`
      Assigns one or more space-separated CSS class names to the decrease arrow element
      Specified by:
        `getDecreaseClass` in class `AbstractInputNumberSlider`

    - #### setDecreaseClass

          public void setDecreaseClass(String decreaseClass)

    - #### getDecreaseSelectedClass

          public String getDecreaseSelectedClass()

      Description copied from class: `AbstractInputNumberSlider`
      Assigns one or more space-separated CSS class names to the decrease arrow element selected
      Specified by:
        `getDecreaseSelectedClass` in class `AbstractInputNumberSlider`

    - #### setDecreaseSelectedClass

          public void setDecreaseSelectedClass(String decreaseSelectedClass)

    - #### getDelay

          public int getDelay()

      Description copied from class: `AbstractInputNumberSlider`
      Delay in pressed increase/decrease arrows in miliseconds. <br />Default value is "200".
      Specified by:
        `getDelay` in class `AbstractInputNumberSlider`

    - #### setDelay

          public void setDelay(int delay)

    - #### getDir

          public String getDir()

      Description copied from interface: `I18nProps`
      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).
      Specified by:
        `getDir` in interface `I18nProps`

    - #### setDir

          public void setDir(String dir)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from interface: `DisabledProps`
      Flag indicating that this element must never receive focus or be included in a subsequent submit.
      Specified by:
        `isDisabled` in interface `DisabledProps`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### isEnableManualInput

          public boolean isEnableManualInput()

      Description copied from class: `AbstractInputNumberSlider`
      If set to "false" this attribute makes the text field "read-only", so the value can be changed only from a handle. <br />Default value is "true".
      Specified by:
        `isEnableManualInput` in class `AbstractInputNumberSlider`

    - #### setEnableManualInput

          public void setEnableManualInput(boolean enableManualInput)

    - #### getHandleClass

          public String getHandleClass()

      Description copied from class: `AbstractInputNumberSlider`
      Assigns one or more space-separated CSS class names to the handle element
      Specified by:
        `getHandleClass` in class `AbstractInputNumberSlider`

    - #### setHandleClass

          public void setHandleClass(String handleClass)

    - #### getHandleSelectedClass

          public String getHandleSelectedClass()

      Description copied from class: `AbstractInputNumberSlider`
      Assigns one or more space-separated CSS class names to the handle element selected
      Specified by:
        `getHandleSelectedClass` in class `AbstractInputNumberSlider`

    - #### setHandleSelectedClass

          public void setHandleSelectedClass(String handleSelectedClass)

    - #### getHandleType

          public InputNumberSliderHandleType getHandleType()

      Description copied from class: `AbstractInputNumberSlider`
      Tells how handle should look like. Possible values: arrow (default), bar
      Specified by:
        `getHandleType` in class `AbstractInputNumberSlider`

    - #### setHandleType

          public void setHandleType(InputNumberSliderHandleType handleType)

    - #### getIncreaseClass

          public String getIncreaseClass()

      Description copied from class: `AbstractInputNumberSlider`
      Assigns one or more space-separated CSS class names to the increase arrow element
      Specified by:
        `getIncreaseClass` in class `AbstractInputNumberSlider`

    - #### setIncreaseClass

          public void setIncreaseClass(String increaseClass)

    - #### getIncreaseSelectedClass

          public String getIncreaseSelectedClass()

      Description copied from class: `AbstractInputNumberSlider`
      Assigns one or more space-separated CSS class names to the increase arrow element selected
      Specified by:
        `getIncreaseSelectedClass` in class `AbstractInputNumberSlider`

    - #### setIncreaseSelectedClass

          public void setIncreaseSelectedClass(String increaseSelectedClass)

    - #### getInputClass

          public String getInputClass()

      Description copied from class: `AbstractInputNumberSlider`
      Assigns one or more space-separated CSS class names to the component input field
      Specified by:
        `getInputClass` in class `AbstractInputNumberSlider`

    - #### setInputClass

          public void setInputClass(String inputClass)

    - #### getInputPosition

          public InputNumberSliderInputPosition getInputPosition()

      Description copied from class: `AbstractInputNumberSlider`
      If "right", the InputText Box would be rendered on the right side of the ruler. If "left", the InputText Box would be rendered on the left side of the ruler. If "top", the InputText Box would be rendered on the top of the ruler. If "bottom", the InputText Box would be rendered on the bottom of the ruler.
      Specified by:
        `getInputPosition` in class `AbstractInputNumberSlider`

    - #### setInputPosition

          public void setInputPosition(InputNumberSliderInputPosition inputPosition)

    - #### getInputSize

          public int getInputSize()

      Description copied from class: `AbstractInputNumberSlider`
      Similar to the "Size" attribute of h:inputText.
      Default value is "3".
      Specified by:
        `getInputSize` in class `AbstractInputNumberSlider`

    - #### setInputSize

          public void setInputSize(int inputSize)

    - #### getLabel

          public String getLabel()

      Description copied from interface: `InputProps`
      A localized user presentable name for this component.
      Specified by:
        `getLabel` in interface `InputProps`

    - #### setLabel

          public void setLabel(String label)

    - #### getLang

          public String getLang()

      Description copied from interface: `I18nProps`
      Code describing the language used in the generated markup for this component.
      Specified by:
        `getLang` in interface `I18nProps`

    - #### setLang

          public void setLang(String lang)

    - #### getMaxValue

          public String getMaxValue()

      Description copied from class: `AbstractInputNumberSlider`
      Attribute to set an "end" value.
      Default value is "100"
      Specified by:
        `getMaxValue` in class `AbstractInputNumberSlider`

    - #### setMaxValue

          public void setMaxValue(String maxValue)

    - #### getMaxlength

          public Integer getMaxlength()

      Description copied from class: `AbstractInputNumberSlider`
      Specifies the maximum number of digits that could be entered into the input field. The maximum number is unlimited by default. If entered value exceeds the value specified in "maxValue" attribute than the slider takes a maximum value position.
      Specified by:
        `getMaxlength` in class `AbstractInputNumberSlider`

    - #### setMaxlength

          public void setMaxlength(Integer maxlength)

    - #### getMinValue

          public String getMinValue()

      Description copied from class: `AbstractInputNumberSlider`
      Attribute to set the "start" value.
      Default value is "0"
      Specified by:
        `getMinValue` in class `AbstractInputNumberSlider`

    - #### setMinValue

          public void setMinValue(String minValue)

    - #### getOnblur

          public String getOnblur()

      Description copied from interface: `FocusProps`
      Javascript code executed when this element loses focus.
      Specified by:
        `getOnblur` in interface `FocusProps`

    - #### setOnblur

          public void setOnblur(String onblur)

    - #### getOnchange

          public String getOnchange()

      Description copied from interface: `InputProps`
      Javascript code executed when this element loses focus and its value has been modified since gaining focus.
      Specified by:
        `getOnchange` in interface `InputProps`

    - #### setOnchange

          public void setOnchange(String onchange)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnfocus

          public String getOnfocus()

      Description copied from interface: `FocusProps`
      Javascript code executed when this element receives focus.
      Specified by:
        `getOnfocus` in interface `FocusProps`

    - #### setOnfocus

          public void setOnfocus(String onfocus)

    - #### getOnkeydown

          public String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnselect

          public String getOnselect()

      Description copied from interface: `InputProps`
      Javascript code executed when text within this element is selected by the user.
      Specified by:
        `getOnselect` in interface `InputProps`

    - #### setOnselect

          public void setOnselect(String onselect)

    - #### isReadonly

          public boolean isReadonly()

      Description copied from interface: `InputProps`
      Flag indicating that this component will prohibit changes by the user. The element may receive focus unless it has also been disabled. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as readonly="readonly".
      Specified by:
        `isReadonly` in interface `InputProps`
      Specified by:
        `isReadonly` in class `AbstractInputNumberSlider`

    - #### setReadonly

          public void setReadonly(boolean readonly)

    - #### isShowArrows

          public boolean isShowArrows()

      Description copied from class: `AbstractInputNumberSlider`
      False value for this attribute makes increase/decrease arrows invisible.
      Default value is "false".
      Specified by:
        `isShowArrows` in class `AbstractInputNumberSlider`

    - #### setShowArrows

          public void setShowArrows(boolean showArrows)

    - #### isShowBoundaryValues

          public boolean isShowBoundaryValues()

      Description copied from class: `AbstractInputNumberSlider`
      If the min/max values are shown on the right/left borders of a control.
      Default value is "true".
      Specified by:
        `isShowBoundaryValues` in class `AbstractInputNumberSlider`

    - #### setShowBoundaryValues

          public void setShowBoundaryValues(boolean showBoundaryValues)

    - #### isShowInput

          public boolean isShowInput()

      Description copied from class: `AbstractInputNumberSlider`
      False value for this attribute makes text a field invisible.
      Default value is "true".
      Specified by:
        `isShowInput` in class `AbstractInputNumberSlider`

    - #### setShowInput

          public void setShowInput(boolean showInput)

    - #### isShowTooltip

          public boolean isShowTooltip()

      Description copied from class: `AbstractInputNumberSlider`
      If "true"the current value is shown in the tooltip when a handle control is in a "dragged" state.
      Default value is "true".
      Specified by:
        `isShowTooltip` in class `AbstractInputNumberSlider`

    - #### setShowTooltip

          public void setShowTooltip(boolean showTooltip)

    - #### getStep

          public String getStep()

      Description copied from class: `AbstractInputNumberSlider`
      Parameter that determines a step between the nearest values while using a handle.
      Default value is "1".
      Specified by:
        `getStep` in class `AbstractInputNumberSlider`

    - #### setStep

          public void setStep(String step)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTabindex

          public String getTabindex()

      Description copied from interface: `FocusProps`
      Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.
      Specified by:
        `getTabindex` in interface `FocusProps`

    - #### setTabindex

          public void setTabindex(String tabindex)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

    - #### getTooltipClass

          public String getTooltipClass()

      Description copied from class: `AbstractInputNumberSlider`
      Assigns one or more space-separated CSS class names to the tooltip element of the handle
      Specified by:
        `getTooltipClass` in class `AbstractInputNumberSlider`

    - #### setTooltipClass

          public void setTooltipClass(String tooltipClass)

    - #### getTrackClass

          public String getTrackClass()

      Description copied from class: `AbstractInputNumberSlider`
      Assigns one or more space-separated CSS class names to the track slider element
      Specified by:
        `getTrackClass` in class `AbstractInputNumberSlider`

    - #### setTrackClass

          public void setTrackClass(String trackClass)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.